# Method: reviews.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/list#body.ReviewsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/list#try-it)

Lists all reviews.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/reviews`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |

### Query parameters

| Parameters ||
|---|---|
| `token` | `string` Pagination token. If empty, list starts at the first review. |
| `startIndex` | `integer (https://developers.google.com/discovery/v1/type-format format)` The index of the first element to return. |
| `maxResults` | `integer (https://developers.google.com/discovery/v1/type-format format)` How many results the list operation should return. |
| `translationLanguage` | `string` Language localization code. |

### Request body

The request body must be empty.

### Response body

Response listing reviews.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reviews": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/reviews#Review`) } ], "tokenPagination": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/TokenPagination`) }, "pageInfo": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/PageInfo`) } } ``` |

| Fields ||
|---|---|
| `reviews[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/reviews#Review`)`` reviews.list of reviews. |
| `tokenPagination` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/TokenPagination`)`` Pagination token, to handle a number of products that is over one page. |
| `pageInfo` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/PageInfo`)`` Information about the current page. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`